using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Windows;

public class CameraManager : MonoBehaviour
{

	private Player player;

	public Vector3 DirectionFromCenter()
	{
        Vector3 cursorPosition = Input.cursorPosition;
		int w = Screen.width;
        int h = Screen.height;

		float x = cursorPosition.x;
        float y = cursorPosition.y;

		int screenCenterX = w / 2;
		int screenCenterY = h / 2;

		float distX = x - screenCenterX;
		float distY = y - screenCenterY;

		float max = Math.Max(Math.Abs(distX), Math.Abs(distY));


        float dirX = distX / max;
        float dirY = distY / max;
		
        return new Vector3(dirX, dirY, 0f);
	}

	void Start()
	{
		player = FindObjectOfType<Player>();
	}
	
	void Update()
	{
        DirectionFromCenter();

        transform.position = player.transform.position - new Vector3(0f, 0f, player.transform.position.z);
    }
}
