using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;

public class GameManager : MonoBehaviour
{
    private int currentLevel;

    public bool loaded = false;

    public bool started;
    public bool finished;
    public bool stopped;

    public Image Cursor;
    public Text MainText;
    public Button RestartButton;
    
    void Start()
	{
        RestartButton.onMouseDown += (UIElement sender, int button, Vector2 cursorPosition) =>
        {
            SceneManager.LoadScene($"{currentLevel}.scene");
        };
        currentLevel = Convert.ToInt32(Regex.Replace(SceneManager.loadedScene, @"[^\d]+", ""));
    }

    void Update()
    {
        if (loaded)
        {
            if (currentLevel == 1)
            {
                if (Input.GetMouseButtonUp(0))
                {
                    Cursor.gameObject.enabled = false;
                }
            }
            if (!started)
            {
                MainText.text = "Click to start";
                if (Input.GetMouseButtonUp(0))
                {
                    started = true;
                }
            }
            else
            {
                MainText.text = "";
                if (finished)
                {
                    if (currentLevel != 10)
                    {
                        MainText.text = "Click to next level";
                        if (Input.GetMouseButtonDown(0))
                        {
                            SceneManager.LoadScene($"{currentLevel + 1}.scene");
                        }
                    }
                    else
                    {
                        MainText.text = "Thanks for playing! Press esc to exit";
                    }

                }
                if (stopped)
                {
                    MainText.text = "Click to restart";
                    if (Input.GetMouseButtonDown(0))
                    {
                        SceneManager.LoadScene($"{currentLevel}.scene");
                    }
                }
            }
            if (Input.GetKeyDown(ScanCode.Escape))
            {
                FalcoEngine.Application.Quit();
            }
        }
        loaded = true;
    }
}
